initInstall("Dijjer","/Christopher Ottley/Dijjer","0.2.0");

var jarFile = "dijjer.jar";

var dijjerDir = getFolder("Profile", "chrome");

// If there isn't a previous installation go ahead
var previousFile = getFolder(dijjerDir, jarFile); // Previous jar

if (!File.exists(previousFile)) {

  setPackageFolder(dijjerDir);

  addFile("Adding Dijjer", "chrome/" + jarFile, getFolder("Profile", "chrome"), "");

  var jarPath = getFolder(dijjerDir, jarFile);

  registerChrome(CONTENT | PROFILE_CHROME, jarPath, "content/");
  //registerChrome(   SKIN | PROFILE_CHROME, jarPath, "skin/");
  registerChrome( LOCALE | PROFILE_CHROME, jarPath, "locale/en-US/");

  var componentsDir = getFolder("Components");  //getFolder("Profile", "components");
  setPackageFolder(componentsDir);

  // add the components and typelib
  addFile("components/nsDijjerProtocol.js");

  var tempDir = getFolder("Preferences");

  var dijjerScriptFolder = getFolder(tempDir,"dijjer");
  File.dirCreate(dijjerScriptFolder);

  setPackageFolder(dijjerScriptFolder);
  addFile("lib/dijjerapp.jar");

  var err = performInstall();
  if (err == SUCCESS || err == 999) {
    alert("Dijjer 0.2.0 is now installed.\nPlease restart your browser to activate it.");
  } else {
    alert("Install failed. Error code:" + err + "\nTry installing it again");
  }

} else {
  alert("There is a version of Dijjer already installed.\nPlease remove it before installing this version.");
  cancelInstall();
}
